<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Add some comments about XML file
-->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg"  xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr_FR" xml:id="fsqp_neweval">
  <info>
    <pubdate>$LastChangedDate: 04-03-2010 $</pubdate>
  </info>
  <refnamediv>
    <refname>fsqp_neweval</refname>
    <refpurpose>Evaluate the objective and its gradient, the contraints and the jacobian for a CUTEr problem. </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>fsqp_neweval(x)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      
      <varlistentry>
        <term>x</term>
        <listitem>
          <para>
            A vector, the current value of the unknown
          </para>
        </listitem>
      </varlistentry>
      
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
      This function computes the objective and its gradient, the
      contraints and the jacobian at the point <literal>x</literal>
      for the current CUTEr problem according to the
      <literal>fsqp</literal> requirements. It called by <link
      linkend="fsqp_obj">fsqp_obj</link>, <link
      linkend="fsqp_grobj">fsqp_grobj</link>, <link
      linkend="fsqp_cntr">fsqp_cntr</link>, <link
      linkend="fsqp_grcntr">fsqp_grcntr</link> depending on the value
      returned by <literal>x_is_new()</literal>.
    </para>
  
  </refsection>

  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member><link linkend="siffsqp" >siffsqp</link></member>
      <member><link linkend="fsqp_obj">fsqp_obj</link></member>
      <member><link linkend="fsqp_grobj">fsqp_grobj</link></member>
      <member><link linkend="fsqp_cntr">fsqp_cntr</link></member>
      <member><link linkend="fsqp_grcntr">fsqp_grcntr</link></member>
      <member><literal>x_is_new</literal></member>
      <member><literal>fsqp</literal></member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>Serge Steer, INRIA</member>
    </simplelist>
  </refsection>

  <refsection>
     <title>Used Functions</title>
       <para>
	<link linkend="cfn">cfn</link>, 
	<link linkend="cgr">cgr</link>,
	<link linkend="ccfg">ccfg</link>,
	<literal>set_x_is_new</literal>
       </para>
     </refsection>
</refentry>
